%define upstream_name Log
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: 	Logging Framework
Name: 		php-pear-%{upstream_name}
Version: 	1.12.9
Release: 	%mkrel 2
License: 	MIT License
Group: 		Development/PHP
URL: 		http://pear.php.net/package/Log
Source0: 	http://pear.php.net/get/Log-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch: 	noarch

%description
The Log package provides an abstracted logging framework.  It includes
output handlers for log files, databases, syslog, email, Firebug, and the
console.  It also provides composite and subject-observer logging
mechanisms.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Log.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Log.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Log
fi

%files
%doc docs/Log/*
%{peardir}/*
%{xmldir}/Log.xml


%changelog
* Thu Feb 18 2016 umeabot <umeabot> 1.12.9-2.mga6
+ Revision: 966184
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 spuhler <spuhler> 1.12.9-1.mga6
+ Revision: 843014
- upgrade to vers. 1.12.9

* Wed Oct 15 2014 umeabot <umeabot> 1.12.8-3.mga5
+ Revision: 741812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.8-2.mga5
+ Revision: 687323
- Mageia 5 Mass Rebuild

* Sat Jul 12 2014 spuhler <spuhler> 1.12.8-1.mga5
+ Revision: 651505
- upgrade to vers. 1.12.8
- pearized spec

* Fri Oct 18 2013 umeabot <umeabot> 1.12.7-3.mga4
+ Revision: 516923
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.12.7-2.mga3
+ Revision: 376808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 guillomovitch <guillomovitch> 1.12.7-1.mga2
+ Revision: 172414
- update to new version 1.12.7

* Wed Jan 26 2011 spuhler <spuhler> 1.12.5-2.mga1
+ Revision: 39866
- added Requires: php-pear-MDB2

* Mon Jan 17 2011 spuhler <spuhler> 1.12.5-1.mga1
+ Revision: 20905
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Log


* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.5-1mdv2011.0
+ Revision: 626873
- update to new version 1.12.5

* Sun Dec 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.4-1mdv2011.0
+ Revision: 622933
- update to new version 1.12.4

* Wed Oct 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.3-1mdv2011.0
+ Revision: 583637
- update to new version 1.12.3

* Thu Sep 09 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.2-1mdv2011.0
+ Revision: 576923
- update to new version 1.12.2

* Sun Jul 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.1-1mdv2011.0
+ Revision: 558761
- update to new version 1.12.1

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.0-1mdv2010.1
+ Revision: 495839
- update to new version 1.12.0

* Sat Jan 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.6-1mdv2010.1
+ Revision: 485150
- update to new version 1.11.6

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.5-2mdv2010.1
+ Revision: 473554
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.5-1mdv2010.0
+ Revision: 451088
- update to new version 1.11.5

* Sun Sep 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.4-1mdv2010.0
+ Revision: 450207
- import php-pear-Log


* Fri Sep 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.4-1mdv2010.0
- split out from php-pear package
